LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::i18n::TransliterationModulesExtra Constant Group Reference

Extra transliteration module enumeration to use with XTransliteration::loadModule() More...

## Variables
const short | SENTENCE_CASE = 200
| The first character of the sentence is put in upper case. More...
const short | TITLE_CASE = 201
| The first character of the word is put in upper case. More...
const short | TOGGLE_CASE = 202
| All characters of the word are to change their case from small letters to capital letters and vice versa. More...
const long | IGNORE_DIACRITICS_CTL = 0x40000000
| Ignore diacritics. More...
const long | IGNORE_KASHIDA_CTL = 0x00000800
| Ignore Kashida mark. More...
const long | END_OF_MODULE = 0

## Detailed Description

Extra transliteration module enumeration to use with XTransliteration::loadModule()

The values used in this group need to be different from the ones in TransliterationModules and TransliterationModulesNew!

## Variable Documentation

## ◆ END_OF_MODULE

const long END_OF_MODULE = 0

## ◆ IGNORE_DIACRITICS_CTL

const long IGNORE_DIACRITICS_CTL = 0x40000000

Ignore diacritics.

Despite the _CTL name suffix this is not only about CTL/Arabic diacritic characters, though these are handled as well, but the transliteration decomposes and removes any diacritic from characters.

Because we cannot extend the TransliterationModules enum we use TranslationModuleExtra and it will act the same way.

## ◆ IGNORE_KASHIDA_CTL

const long IGNORE_KASHIDA_CTL = 0x00000800

Ignore Kashida mark.

## ◆ SENTENCE_CASE

const short SENTENCE_CASE = 200

The first character of the sentence is put in upper case.

## ◆ TITLE_CASE

const short TITLE_CASE = 201

The first character of the word is put in upper case.

This one is part

## ◆ TOGGLE_CASE

const short TOGGLE_CASE = 202

All characters of the word are to change their case from small letters to capital letters and vice versa.